<?PHP

/* ====================
Seditio - Website engine
Copyright Neocrome
http://www.neocrome.net

[BEGIN_SED]
File=plugins/xsaff/xsaff.php
Version=1.0
Date=01.23.2007
Type=Plugin
Author=Xiode - XiodeStudios.Com
Description=This plug lets affiliates signup to be displayed on your site.
[END_SED]

[BEGIN_SED_EXTPLUGIN]
Code=xsaff
Part=main
File=xsaff
Hooks=standalone
Tags=
Minlevel=0
Order=10
[END_SED_EXTPLUGIN]

==================== */

if (!defined('SED_CODE')) { die('Wrong URL.'); }

if($m=='add'){

	if($usr['id']>0){

		if($a=='submit'){
			$id = sed_import('id', 'G', 'INT');
			$aff_name = sed_import('aff_name','P','TXT');
			$aff_uname = sed_import('aff_uname','P','TXT');
			$aff_uid = sed_import('aff_uid','P','INT');
			$aff_img = sed_import('aff_img','P','TXT');
			$aff_url = sed_import('aff_url','P','TXT');
			$aff_desc = sed_import('aff_desc','P','TXT');
			$aff_terms = sed_import('aff_terms','P','INT');
			$verify  = sed_import('verify','P','TXT');
		
			require("plugins/xsaff/inc/php-captcha.inc.php");
			$error_string .= (!PhpCaptcha::Validate($verify)) ? $L['XSAFF_SUBMIT_VERIFYFAILED']."<br />" : '';
			$error_string .= (strlen($aff_name)<2) ? $L['XSAFF_SUBMIT_NAMESHORT']."<br />" : '';
			$error_string .= (strlen($aff_url)<2) ? $L['XSAFF_SUBMIT_URLSHORT']."<br />" : '';
			$error_string .= (!preg_match( '/^(http|https):\/\/[a-z0-9]+([\-\.]{1}[a-z0-9]+)*\.[a-z]{2,5}'.'((:[0-9]{1,5})?\/.*)?$/i' ,$aff_url)) ? $L['XSAFF_SUBMIT_URLVALID']."<br />" : '';
			$error_string .= (strlen($aff_desc)<2) ? $L['XSAFF_SUBMIT_DESCSHORT']."<br />" : '';
			if($cfg['plugin']['xsaff']['useterms'] == "Yes"){
				$error_string .= ($aff_terms==0) ? $L['XSAFF_SUBMIT_MUSTAGREE']."<br />" : '';
			}
			
			if (($_FILES['aff_img']['type'] == "image/gif") || ($_FILES["aff_img"]["type"] == "image/jpeg") || ($_FILES["aff_img"]["type"] == "image/png")){ 
				move_uploaded_file($_FILES['aff_img']['tmp_name'], "plugins/xsaff/affimg/".$aff_uid."-".$_FILES['aff_img']['name']);
				@chmod("plugins/xsaff/affimg/".$aff_uid."-".$_FILES['aff_img']['name'], 0766);
				$img_name = $aff_uid."-".$_FILES['aff_img']['name'];
			} else {
				$error_string .= $L['XSAFF_SUBMIT_IMGSHORT']."<br />";
			}
			
			if(empty($error_string)){
				$sql = sed_sql_query("
					INSERT INTO `$db_xsaff_aff` (`aff_name` , `aff_uname` , `aff_uid` , `aff_desc` , `aff_img` , `aff_url`) 
					VALUES ('".sed_sql_prep($aff_name)."', '".sed_sql_prep($aff_uname)."', '".(int)$aff_uid."', '".sed_sql_prep($aff_desc)."', '".sed_sql_prep($img_name)."', '".sed_sql_prep($aff_url)."')
					");
			
				header("Location: plug.php?e=xsaff&m=complete");
				exit;
			}else{
				$t-> assign("XSAFF_ADD_ERRORS",$error_string);
				$t->parse("MAIN.ADD.ERROR");
			} 	
		}
		
		$t-> assign(array(
			"XSAFF_ADD_NAME" => "<input type='text' class='text' name='aff_name' value='".$aff_name."' size='32' maxlength='255' />",
			"XSAFF_ADD_DESC" => "<textarea rows='4' cols='56' name='aff_desc'>".$aff_desc."</textarea>",
			"XSAFF_ADD_IMG" => "<input type='file' class='text' name='aff_img' value='".$img_name."' size='32'/>",
			"XSAFF_ADD_URL" => "<input type='text' class='text' name='aff_url' value='".$aff_url."' size='32' maxlength='255' />",
			"XSAFF_ADD_UNAME" => "<input type='hidden' name='aff_uname' value='".$usr['name']."' />",
			"XSAFF_ADD_UID" => "<input type='hidden' name='aff_uid' value='".$usr['id']."' />",
			"XSAFF_ADD_VIMAGE" => "<img src='plugins/xsaff/inc/captcha.php' alt='CAPTCHA' />",
			"XSAFF_ADD_VINPUT" => "<input name='verify' type='text' id='verify' size='16' maxlength='5' />",
			"XSAFF_ADD_SUBMIT" => "<input type='submit' value='".$L['XSAFF_ADD_SUBMIT']."' />"
				));

				if($cfg['plugin']['xsaff']['useterms'] == "Yes"){
					$sql1 = sed_sql_query("SELECT * FROM $db_xsaff_terms");
					$row2 = sed_sql_fetcharray($sql1);
					$t-> assign(array(
						"XSAFF_TERMS_TEXT" => sed_parse($row2['terms_text'],1,1,1),
						"XSAFF_TERMS_CHECK" => "<input type='radio' class='radio' name='aff_terms' value='1' />".$L['XSAFF_YES']." <input type='radio' class='radio' name='aff_terms' value='0' checked='checked' />".$L['XSAFF_NO']
							));
							$t->parse("MAIN.ADD.TERMS");
				}
				$t->parse("MAIN.ADD");
	}else{
		$t->parse("MAIN.ADD_ERROR");
	}

}elseif($m=='edit'){

	$sql = sed_sql_query("SELECT * FROM $db_xsaff_aff WHERE aff_id='$id'");
	$row = sed_sql_fetcharray($sql);
	if($usr['id'] == $row['aff_uid']){
	
		if($a=='submit'){
			$id = sed_import('id', 'G', 'INT');
			$aff_name = sed_import('aff_name','P','TXT');
			$aff_img = sed_import('aff_img','P','TXT');
			$aff_imgnew = sed_import('aff_imgnew','P','TXT');
			$aff_url = sed_import('aff_url','P','TXT');
			$aff_desc = sed_import('aff_desc','P','TXT');
			$aff_delete = sed_import('aff_delete','P','INT');
			$aff_uid = $row['aff_uid'];

			if($aff_delete == 1){
				$sql1 = sed_sql_query("SELECT * FROM $db_xsaff_aff WHERE aff_id='$id'");
				if ($row1 = sed_sql_fetchassoc($sql1)) {
					$sql2 = sed_sql_query("DELETE FROM $db_xsaff_aff WHERE aff_id='$id'");
					@unlink("plugins/xsaff/affimg/".$row['aff_img']);

					header("Location: plug.php?e=xsaff&m=deleted");
					exit;
				}
			}
				
			$error_string .= (strlen($aff_name)<2) ? $L['XSAFF_SUBMIT_NAMESHORT']."<br />" : '';
			$error_string .= (strlen($aff_url)<2) ? $L['XSAFF_SUBMIT_URLSHORT']."<br />" : '';
			$error_string .= (!preg_match( '/^(http|https):\/\/[a-z0-9]+([\-\.]{1}[a-z0-9]+)*\.[a-z]{2,5}'.'((:[0-9]{1,5})?\/.*)?$/i' ,$aff_url)) ? $L['XSAFF_SUBMIT_URLVALID']."<br />" : '';
			$error_string .= (strlen($aff_desc)<2) ? $L['XSAFF_SUBMIT_DESCSHORT']."<br />" : '';

			if($_FILES['aff_imgnew']['size'] == 0){
				if(empty($error_string)){
					$sql = sed_sql_query("UPDATE $db_xsaff_aff SET
						aff_name='".sed_sql_prep($aff_name)."',
						aff_img='".sed_sql_prep($aff_img)."',
						aff_url='".sed_sql_prep($aff_url)."',
						aff_desc='".sed_sql_prep($aff_desc)."',
						aff_active='0'
						WHERE aff_id='".$id."'");
					header("Location: plug.php?e=xsaff&m=complete");
					exit;
				}else{
					$t-> assign("XSAFF_EDIT_ERRORS",$error_string);
					$t->parse("MAIN.EDIT.ERROR");
				} 	

			}else{

				@unlink("plugins/xsaff/affimg/".$aff_img);
				if (($_FILES['aff_imgnew']['type'] == "image/gif") || ($_FILES["aff_imgnew"]["type"] == "image/jpeg") || ($_FILES["aff_imgnew"]["type"] == "image/png")){ 
					move_uploaded_file($_FILES['aff_imgnew']['tmp_name'], "plugins/xsaff/affimg/".$aff_uid."-".$_FILES['aff_imgnew']['name']);
					@chmod("plugins/xsaff/affimg/".$aff_uid."-".$_FILES['aff_imgnew']['name'], 0766);
					$img_name = $aff_uid."-".$_FILES['aff_imgnew']['name'];
				} else {
					$error_string .= $L['XSAFF_SUBMIT_IMGSHORT']."<br />";
				}
					
				if(empty($error_string)){
					$sql = sed_sql_query("UPDATE $db_xsaff_aff SET
						aff_name='".sed_sql_prep($aff_name)."',
						aff_img='".sed_sql_prep($img_name)."',
						aff_url='".sed_sql_prep($aff_url)."',
						aff_desc='".sed_sql_prep($aff_desc)."',
						aff_active='0'
						WHERE aff_id='".$id."'");
					header("Location: plug.php?e=xsaff&m=complete");
					exit;
				}else{
					$t-> assign("XSAFF_EDIT_ERRORS",$error_string);
					$t->parse("MAIN.EDIT.ERROR");
				} 	
			}
		}

		$t-> assign(array(
			"XSAFF_EDIT_FORM" => "<form name='edit_aff' action='plug.php?e=xsaff&m=edit&a=submit&id=".$row['aff_id']."' method='post' enctype='multipart/form-data'>",
			"XSAFF_EDIT_NAME" => "<input type='text' class='text' name='aff_name' value='".sed_cc($row['aff_name'])."' size='32' maxlength='255' />",
			"XSAFF_EDIT_DESC" => "<textarea rows='4' cols='56' name='aff_desc'>".sed_cc($row['aff_desc'])."</textarea>",
			"XSAFF_EDIT_IMG" => "<input type='hidden' name='aff_img' value='".sed_cc($row['aff_img'])."' /><input type='file' class='text' name='aff_imgnew' size='32'  />",
			"XSAFF_EDIT_IMAGE" => "<img src='plugins/xsaff/affimg/".sed_cc($row['aff_img'])."' style='width:88px;height:31px;' alt='' />",
			"XSAFF_EDIT_URL" => "<input type='text' class='text' name='aff_url' value='".sed_cc($row['aff_url'])."' size='32' maxlength='255' />",
			"XSAFF_EDIT_DELETE" => "<input type='radio' class='radio' name='aff_delete' value='1' />".$L['XSAFF_YES']." <input type='radio' class='radio' name='aff_delete' value='0' checked='checked' />".$L['XSAFF_NO'],
			"XSAFF_EDIT_HITS" => sed_cc($row['aff_hits']),
			"XSAFF_EDIT_SUBMIT" => "<input type='submit' value='".$L['XSAFF_ADD_SUBMIT']."' />"
				));
				$t->parse("MAIN.EDIT");
				
	}else{
		$t->parse("MAIN.EDIT_ERROR");
	}

}elseif($m=='broke'){

	$sql = sed_sql_query("SELECT aff_broke FROM $db_xsaff_aff WHERE aff_id='$id'");
	$row = sed_sql_fetcharray($sql);
	if($row['aff_broke'] == 0){
		$sql2 = sed_sql_query("UPDATE $db_xsaff_aff SET aff_broke='1' WHERE aff_id='$id'");
		header("Location: plug.php?e=xsaff&m=complete");
		exit;
	}else{
		$t->parse("MAIN.BROKE_ERROR");
		header( 'refresh: 3; url=plug.php?e=xsaff') ;
	}

}elseif($m=='deleted'){

	$t->parse("MAIN.DELETED");
	header('refresh: 3; url=plug.php?e=xsaff');

}elseif($m=='complete'){

	$t->parse("MAIN.COMPLETE");
	header('refresh: 3; url=plug.php?e=xsaff');
	
}elseif($m=='redirect'){

	$id = sed_import('id', 'G', 'INT');
	$sql = sed_sql_query("SELECT * FROM $db_xsaff_aff  WHERE aff_active='1' AND aff_id='$id'");
	sed_die(sed_sql_numrows($sql)==0);
	$row = sed_sql_fetcharray($sql);
	
	$sql = sed_sql_query("UPDATE $db_xsaff_aff  SET aff_hits=aff_hits+1 WHERE aff_id='$id'");
	header("Location: ".$row['aff_url']);
	exit;
	
}elseif($m==''){

	$d = sed_import('d','G','INT');
	if (empty($d))	{ $d = '0'; }
	$sql = sed_sql_query("SELECT * FROM $db_xsaff_aff  WHERE aff_active='1' ORDER BY aff_name ASC LIMIT $d,".$cfg['plugin']['xsaff']['pagnumb']);
	$sql2 = sed_sql_query("SELECT COUNT(*) FROM $db_xsaff_aff WHERE aff_active='1'");
	$totalaff = sed_sql_result($sql2,0,"COUNT(*)");
	
	$perpage = $cfg['plugin']['xsaff']['pagnumb'];
	$totalitems = $totalaff;
	$address = "plug.php?e=xsaff&amp;d=";
	$pagenumber = $d;
		
	if($cfg['plugin']['xsaff']['pagenav']=='Sedplus' && is_array($cfg['plugin']['sedplus'])){
		@require_once("plugins/sedplus/inc/sedplus.functions.php");
		$pagnav = t3_build_sed_pagnav($totalitems, $perpage, $address, $pagenumber);
	}else{
		@require_once("plugins/xsaff/inc/xsaff.functions.php");
		$pagnav = sed_default_pagination_xsaff($totalitems, $perpage, $address, $pagenumber);
	}

	$jj=0;
	while ($row = sed_sql_fetcharray($sql)) {
	
		$jj++;
		$t-> assign(array(
			"XSAFF_LIST_ROW_NUMB" => $jj + $d,
			"XSAFF_LIST_ROW_NAME" => sed_cc($row['aff_name']),
			"XSAFF_LIST_ROW_UNAME" => sed_build_user($row['aff_uid'], sed_cc($row['aff_uname'])),
			"XSAFF_LIST_ROW_DESC" => sed_cc($row['aff_desc']),
			"XSAFF_LIST_ROW_HITS" => sed_cc($row['aff_hits']),
			"XSAFF_LIST_ROW_IMG" => "<a href='plug.php?e=xsaff&m=redirect&id=".$row['aff_id']."' name='".sed_cc($row['aff_desc'])."'><img src='plugins/xsaff/affimg/".sed_cc($row['aff_img'])."' style='width:88px;height:31px;' alt='".sed_cc($row['aff_desc'])."' /></a>",
			"XSAFF_LIST_ROW_BROKE" => "<a href='plug.php?e=xsaff&m=broke&id=".$row['aff_id']."'>".$L['XSAFF_LIST_REPORTBROKEN']."</a>"
				));
				
					if($usr['id'] == $row['aff_uid']){
						$t->assign("XSAFF_LIST_ROW_EDIT", "<a href='plug.php?e=xsaff&m=edit&id=".$row['aff_id']."'>".$L['XSAFF_LIST_EDIT']."</a>");
						$t->parse("MAIN.LIST.ROW.EDIT");
					}
					if($usr['isadmin']){
						$t->assign("XSAFF_LIST_ROW_ADMIN", "<a href='admin.php?m=tools&p=xsaff&a=edit&id=".$row['aff_id']."'>".$L['XSAFF_LIST_ADMIN']."</a>");
						$t->parse("MAIN.LIST.ROW.ADMIN");
					}
					
				$t->parse("MAIN.LIST.ROW");
				
	}
	if($jj==0) $t->parse("MAIN.LIST.ERROR");
	$t->assign("XSAFF_LIST_PAGNAV", $pagnav);
	$t->parse("MAIN.LIST");
	
	if($usr['isadmin']){
		$sql3 = sed_sql_query("SELECT COUNT(*) FROM $db_xsaff_aff WHERE aff_active='0'");
		$totalinactive= sed_sql_result($sql3,0,"COUNT(*)");
		$sql4 = sed_sql_query("SELECT COUNT(*) FROM $db_xsaff_aff WHERE aff_broke='1'");
		$totalbroke = sed_sql_result($sql4,0,"COUNT(*)");
	
		$t->assign("XSAFF_ADMIN", "[<span style='font-weight:bold;'><a href='admin.php?m=tools&p=xsaff'>".$L['XSAFF_ADMIN']."</a></span>] - [<span style='font-weight:bold;'>".$L['XSAFF_BROKE']."</span>".$totalbroke."] - [<span style='font-weight:bold;'>".$L['XSAFF_INACTIVE']."</span>".$totalinactive."] - [<span style='font-weight:bold;'>".$L['XSAFF_AFF']."</span>".$totalaff."]");
		$t->parse("MAIN.ADMIN");
	}

}else{
	header("Location: message.php?msg=404");
	exit;
}

?>
